#ifndef CLAN_HPP_INCLUDED
#define CLAN_HPP_INCLUDED

#include "../../../Core/Classes/ClanMember.hpp"
#include <functional>
#include <vector>

/** @addtogroup GameTabs
* @{ */
namespace Clan
{
    bool IsOpen();
    bool Open();
    std::vector<Internal::ClanMember> GetAll();
    std::vector<Internal::ClanMember> GetAll(const std::function<bool (Internal::ClanMember&)>& Filter);
}

/** @} */

#endif // CLAN_HPP_INCLUDED
